/**
 * 接口地址url
 */
import cfg from "./config.js";
const api = cfg.api;
const apis = {
  api_v3_find_details: `${api()}/app/v3/find/details` /* 发现详情\问题详情\文章详情 */,
  api_national_city: `${api()}/common/national-city/list` /* 获取运营国家城市（已作废，待删除。） */,
  api_national_real_city: `${api()}/common/national-city/get-real-city` /* 获取有房源的真实国家城市 （已停用）*/,
  api_national_real_all_city: `${api()}/common/national-city/get-real-all-city` /* 获取所有真实国家城市 */,
  api_national_country_prefix: `${api()}/common/user/country-list` /* 获取国家区号 */,
  api_common_conf: `${api()}/common/conf` /* 客服电话 */,
  api_user_name_set: `${api()}/common/user/name` /* 修改昵称 */,
  api_user_mobile_code: `${api()}/common/user/mobile-code` /* 手机号验证码登录 */,
  api_user_binding: `${api()}/common/user/binding` /* 绑定 */,
  api_user_login: `${api()}/common/user/login` /* 密码登录 */,
  api_user_set: `${api()}/common/user/user-change` /* 修改手机号邮箱 */,
  api_user_register: `${api()}/common/user/register` /* 邮箱手机号注册 */,
  api_user_pwd_find: `${api()}/common/user/find-pwd` /* 找回密码 */,
  api_user_login_out: `${api()}/common/user/login-out` /* 登出 */,
  api_user_verification_code: `${api()}/common/user/verification-code` /* 验证码验证 */,
  api_user_verification: `${api()}/common/user/verification` /* 验证码发送 */,
  api_home_list: `${api()}/app/index/list` /* 首页 */,
  api_agent_info: `${api()}/www/index/agent-info` /* 经纪人信息 */,
  api_user_info_get: `${api()}/common/user/get-user-info` /* 获取个人信息 */,
  api_user_info_set: `${api()}/common/user/update-info` /* 修改个人信息 */,
  api_upload_files: `${api()}/common/upload/files` /* 上传文件 */,
  api_buildings_list: `${api()}/www/search/list` /* buildings列表 */,
  api_buildings_detail: `${api()}/www/house/detail` /* buildings详情 */,
  api_item_detail: `${api()}/www/house/item-info` /* item详情 */,
  api_item_attr: `${api()}/www/house/item-attr` /* item购买属性 */,
  api_filter_attr: `${api()}/app/search/search-attr` /* 筛选项 */,
  api_recommend_list: `${api()}/app/search/get-recommend-building` /* 获取推荐房源 */,
  api_search_fill: `${api()}/app/search/auto-fill` /* 获取推荐房源 */,
  api_user_collection_list: `${api()}/common/user/my-collection` /* 我的收藏 */,
  api_app_service_cate: `${api()}/app/service/help-cate` /* 帮助文档分类 */,
  api_app_service_article: `${api()}/app/service/help-article` /* 帮助文档分类文章列表 */,
  api_user_collection_cancel: `${api()}/common/user/cancel-collection` /* 取消收藏 */,
  api_user_collection_add: `${api()}/common/user/collection` /* 添加收藏 */,
  api_user_card_list: `${api()}/common/user/card-list` /* 身份验证列表 */,
  api_user_card_edit: `${api()}/common/user/card-edit` /* 身份验证编辑 */,
  api_item_activity: `${api()}/www/activity/detail` /* 活动页 */,
  api_item_special: `${api()}/app/v3/house/special` /* 专题页 */,
  api_service_detail: `${api()}/app/service/help-detail` /* 问题详情页 */,
  api_order_apply: `${api()}/common/order/apply-order` /* 添加下单申请表、落地页 */,
  api_message_list: `${api("java")}/hupms/homeMsg/list.do` /* 站内信列表 */,
  phpApiHomeCity: `${api()}/common/home-city`, // 获取有房源的国家和城市（含有热门房源）
  api_user_myCoupons: `${api(
    "java"
  )}/hupms/userCoupon/myCoupons.do` /* 我的优惠券 */,
  api_user_order_applied: `${api(
    "java"
  )}/hops/user/order/appliedList.do` /* 获取申请列表 */,
  api_user_order_apply_detail: `${api(
    "java"
  )}/hops/user/order/applyInfo.do` /* 申请详情 */,
  api_hpay_get_wechat_url: `${api(
    "java"
  )}/hpay/wiseCashier/getWeChatMpPayOauthUrl.do` /* 微信内支付-获取支付地址 */,
  api_hpay_list: `${api("java")}/hpay/upay/list.do` /* 获取支付方式列表 */,
  api_hpay_yibao: `${api("java")}/hpay/yibao/payOrder.do` /* 易宝支付 */,
  api_hpay_aliPay: `${api("java")}/hpay/wiseCashier/aliPay.do` /* 支付宝支付 */,
  api_hpay_wechat: `${api(
    "java"
  )}/hpay/wiseCashier/weChatPay.do` /* 微信支付 */,
  api_hpay_offline: `${api("java")}/hpay/upay/offlinePay.do` /* 线下支付 */,
  api_hpay_common_offline: `${api(
    "java"
  )}/hpay/common/offlinePayMode.do` /* 线下支付方式列表 */,
  api_hpay_upay: `${api("java")}/hpay/upay/payValidate.do` /* 验证金额 */,
  api_hpay_currency: `${api(
    "java"
  )}/hpay/common/currency.do` /* 获取币种列表 */,
  api_order_cancel_reason: `${api(
    "java"
  )}/hops/user/order/cancelReasonList.do` /* 订单取消原因列表 */,
  api_order_cancel: `${api(
    "java"
  )}/hops/user/order/cancelOrder.do` /* 取消订单 */,
  api_user_order_list: `${api("java")}/hops/user/order/list.do` /* 订单列表 */,
  api_user_order_detail: `${api(
    "java"
  )}/hops/user/order/info.do` /* 订单详情 */,
  api_order_info: `${api("java")}/hpay/upay/payOrderInfo.do` /* 支付单详情 */,
  api_order_refund_list: `${api(
    "java"
  )}/hpay/upay/refundInfo.do` /* 退款列表 */,
  api_order_refund_flow_list: `${api(
    "java"
  )}/hpay/upay/refundFlowList.do` /* 流水详情 */,
  api_order_coupon: `${api(
    "java"
  )}/hpay/upay/avalibleCoupons.do` /* 可用优惠券 */,
  api_upay_paySync: `${api("java")}/hpay/upay/paySync.do` /* 支付同步接口 */,
  api_upay_info: `${api("java")}/hpay/upay/info.do` /* 验证支付 */,
  api_check_order: `${api(
    "java"
  )}/hops/common/checkOrderbindUser.do` /* 检查订单是否被绑定 */
};
export default apis;
